Bug 1048688 (CVE-2013-7262) - CVE-2013-7262 mapserver: SQL injections with postgis TIME filters
Summary: CVE-2013-7262 mapserver: SQL injections with postgis TIME filters
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-7262
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1048689 1048690
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 06:47 UTC by Ratul Gupta
Modified: 2019-09-29 13:11 UTC (History)
4 users (show)

Fixed In Version: mapserver 6.4.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-05 19:05:23 UTC


Attachments (Terms of Use)

Description Ratul Gupta 2014-01-06 06:47:57 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-7262 to the following vulnerability:

Name: CVE-2013-7262
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-7262
Assigned: 20140105
Reference: http://www.mapserver.org/development/changelog/changelog-6-4.html#changelog-6-4-1
Reference: https://github.com/mapserver/mapserver/commit/3a10f6b829297dae63492a8c63385044bc6953ed
Reference: https://github.com/mapserver/mapserver/issues/4834

SQL injection vulnerability in the msPostGISLayerSetTimeFilter function in mappostgis.c in MapServer before 6.4.1, when a WMS-Time service is used, allows remote attackers to execute arbitrary SQL commands via a crafted string in a PostGIS TIME filter.

Comment 1 Ratul Gupta 2014-01-06 06:48:55 UTC
Created mapserver tracking bugs for this issue:

Affects: fedora-all [bug 1048689]
Affects: epel-all [bug 1048690]


Note You need to log in before you can comment on or make changes to this bug.